# $Revision: 1.62.2.1 $, $Date: 2007/03/09 14:38:20 $
#
# Conditional build:
%bcond_without	javascript	# build without JavaScript interpreter
%bcond_without	graphics	# build without graphics support
%bcond_without	fb		# build without Linux Framebuffer graphics driver
%bcond_without	sdl		# build without SDL graphics driver
%bcond_without	svga		# build without svgalib graphics driver
%bcond_without	x		# build without X Window System graphics driver
#
Summary:	Lynx-like WWW browser
Summary(es):	El links es un browser para modo texto, similar a lynx
Summary(pl):	Podobna do Lynksa przegldarka WWW
Summary(pt_BR):	O links  um browser para modo texto, similar ao lynx
Summary(ru):	 WWW   Lynx
Summary(uk):	 WWW   Lynx
Name:		links2
%define	pre	pre26
# XXX: stop using "pre" in Version after 2.1 release!
Version:	2.1%{pre}
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://links.twibright.com/download/links-%{version}.tar.bz2
# Source0-md5:	841af2540c789e254b8465e07e24c684
Source1:	%{name}.desktop
Source2:	%{name}.1.pl
Source3:	%{name}.png
Source4:	glinks.desktop
Patch0:		%{name}-links-g_if_glinks.patch
Patch1:		%{name}-ac25x.patch
Patch2:		%{name}-img.patch
Patch3:		%{name}-convert-old-bookmarks.patch
Patch4:		%{name}-cookies-save.patch
Patch5:		%{name}-config-dirs.patch
Patch6:		%{name}-gzip_fallback.patch
Patch7:		%{name}-js-Date-getTime.patch
Patch8:		%{name}-js-submit-nodefer.patch
Patch9:		%{name}-segv.patch
#Patch15:	%{name}-home_etc.patch
URL:		http://links.twibright.com/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_javascript:BuildRequires:	bison}
%{?with_javascript:BuildRequires:	flex}
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	zlib-devel
%if %{with graphics}
%{?with_fb:BuildRequires:	DirectFB-devel >= 0.9.17}
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2.0}
%{?with_x:BuildRequires:	XFree86-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
%{?with_svga:BuildRequires:	svgalib-devel}
%endif
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Links is a WWW browser, at first look similiar to Lynx, but somehow
different:

- renders tables and frames,
- displays colors as specified in current HTML page,
- uses drop-down menu (like in Midnight Commander),
- can download files in background.

%{?with_graphics:This version can work in graphical mode.}
%{?with_javascript:This version has support for JavaScript.}

%description -l es
Links es un browser WWW modo texto, similar al Lynx. El links muestra
tablas, hace baja archivos en segundo plano, y usa conexiones HTTP/1.1
keepalive.

%description -l pl
Links jest przegldark WWW, na pierwszy rzut oka podobn do Lynksa,
ale mimo wszystko inn:

- renderuje tabelki i ramki,
- wywietla kolory zgodnie z definicjami w ogldanej stronie HTML,
- uywa opuszczanego menu (jak w Midnight Commanderze),
- moe ciga pliki w tle.

%{?with_graphics:Ta wersja moe pracowa w trybie graficznym.}
%{?with_javascript:Ta wersja obsuguje JavaScript.}

%description -l pt_BR
Links  um browser WWW modo texto, similar ao Lynx. O Links exibe
tabelas, faz baixa arquivos em segundo plano, e usa as conexes
HTTP/1.1 keepalive.

%description -l ru
Links -   WWW ,      Lynx,
  :

-    () ,
-      HTML ,
-    (  Midnight Commander),
-     .

%description -l uk
Links -   WWW ,      Lynx, 
 צͦ צ :

- צ æ  () ,
- դ     HTML Ҧæ,
- դ ަ  (  Midnight Commander),
-     Φ.

%prep
%setup -q -n links-%{version}
%{?with_graphics:%patch0 -p1}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

#cd intl
#./gen-intl

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--program-suffix=2 \
	%{?with_graphics:--enable-graphics} \
	%{?with_javascript:--enable-javascript} \
	%{!?with_fb:--without-fb} \
	%{!?with_sdl:--without-sdl} \
	%{!?with_svga:--without-svgalib} \
	%{!?with_x:--without-x}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with graphics}
ln -sf links2 $RPM_BUILD_ROOT%{_bindir}/glinks
echo ".so links2.1" > $RPM_BUILD_ROOT%{_mandir}/man1/glinks.1
echo ".so links2.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/glinks.1
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
%endif

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/links2.1
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README SITES TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man*/*
%lang(pl) %{_mandir}/pl/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: links2.spec,v $
Revision 1.62.2.1  2007/03/09 14:38:20  hawk
- Ac deps

Revision 1.62  2006/11/30 21:27:22  qboosh
- updated to 2.1pre26 (fixes CVE-2006-5925)
- removed obsolete pl-update patch

Revision 1.61  2006/11/19 16:34:13  qboosh
- updated to 2.1pre24, updated pl-update patch

Revision 1.60  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.59  2006/08/24 17:23:27  qboosh
- updated to 2.1pre23, removed obsolete reallyquit patch

Revision 1.58  2006/07/03 10:18:27  qboosh
- updated to 2.1pre22

Revision 1.57  2006/04/17 20:57:43  qboosh
- updated to 2.1pre21, updated pl patch

Revision 1.56  2006/04/05 23:44:49  hawk
- release 2 (rebuild with new DirectFB)

Revision 1.55  2006/03/25 15:39:38  megabajt
- modular xorg deps

Revision 1.54  2005/12/24 19:27:12  qboosh
- updated to 2.1pre20, updated pl-update patch

Revision 1.53  2005/11/14 14:14:42  qboosh
- use macro as version in Source0

Revision 1.52  2005/10/11 17:15:30  qboosh
- updated pl-update patch is back

Revision 1.51  2005/10/10 14:56:42  paszczus
- release 1

Revision 1.50  2005/10/10 14:51:46  paszczus
- my fault, rel 0.1, not epoch

Revision 1.49  2005/10/10 14:48:57  paszczus
- updated to 2.1pre19
- updated Source0 and URL
- removed Patch{12,13} - included in sources
- release 0.1

Revision 1.48  2005/08/06 08:37:19  qboosh
- updated to 2.1pre18, updated reallyquit patch, removed obsolete ac patch

Revision 1.47  2005/05/10 00:03:31  pluto
- release 4 for Th.

Revision 1.46  2005/05/10 00:02:27  pluto
- sigsegvon x86-64 fixed, release 3 for Ac.

Revision 1.45  2005/03/07 09:36:48  qboosh
- release 2 due to broken package introduced by paszczus with help from adamg

Revision 1.44  2005/03/05 01:05:03  qboosh
- updated fb-memcorruption patch is back (in which sources is it fixed???)

Revision 1.43  2005/03/03 19:00:01  paszczus
- updated to 2.1pre17
- removed links2-fb-memcorruption.patch (fixed in sources)
- updated links2-ac.patch
- release 1 ; STBR

Revision 1.42  2005/02/05 00:45:44  qboosh
- added fb-memcorruption patch - fb mode corruption hunted

Revision 1.41  2005/02/01 23:26:18  qboosh
- added todo (broken -driver fb without -mode)

Revision 1.40  2005/02/01 23:20:35  qboosh
- updated to 2.1pre16 (bugfixes, security fixes - incl. vulns detected by mangleme)
- removed obsolete dump_codepage,en-fixes patches
- updated ac,config-dirs,gzip_fallback,js-submit-nodefer,links-g_if_glinks,
  pl-update,reallyquit patches
- dropped useless bconds (OS/2 and AtheOS-specific)

Revision 1.39  2005/01/15 10:58:13  qboosh
- grrr. run gen-intl to regenerate language.inc; release 3

Revision 1.38  2005/01/15 00:26:43  qboosh
- added en-fixes,pl-update patches; release 2

Revision 1.37  2004/10/25 06:25:46  qboosh
- updated to "final" 2.1pre15

Revision 1.36  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.35  2004/04/22 21:59:25  qboosh
- updated to 2.1pre15pre3

Revision 1.34  2004/04/18 15:58:11  qboosh
- updated to 2.1pre15pre2 (seems more stable than 2.1pre14)
- updated ac25x patch, added segv patch

Revision 1.33  2004/03/19 23:46:29  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.32  2004/01/10 01:19:52  adgor
- Switched to vfolders

Revision 1.31  2003/11/15 18:05:03  qboosh
- updated to 2.1pre14, new-style bconds, better js-Date-getTime patch

Revision 1.30  2003/10/21 18:26:55  qboosh
- updated to 2.1pre13

Revision 1.29  2003/10/07 22:28:57  qboosh
- 2.1pre12

Revision 1.28  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.27  2003/09/30 20:18:26  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.26  2003/08/13 18:30:02  malekith
- fix bcond syntax

Revision 1.25  2003/06/01 17:11:13  qboosh
- directfb and cookie-parsing patches are obsolete
- updated js-submit-nodefer hack, added correct and more verbose comment

Revision 1.24  2003/05/30 11:10:39  qboosh
- fixed md5

Revision 1.23  2003/05/28 19:36:00  erjot
- up to pre11
- comment outdated patchs

Revision 1.22  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.21  2003/05/25 05:50:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/12 20:12:29  djrzulf
- typo,

Revision 1.19  2003/05/12 19:19:54  djrzulf
- Release 3

Revision 1.18  2003/05/12 19:19:33  djrzulf
- From: Rafal Janiczek <jojo@oho.pl> :
  - fixed bcond with fb,

Revision 1.17  2003/04/06 20:47:38  gotar
- commented out broken patch

Revision 1.16  2003/03/16 18:36:57  juandon
- removed unnecessary patch (it was done in lame way)
- added autoheader invocation

Revision 1.15  2003/03/16 08:44:01  juandon
- added DirectFB support
- Release 2

Revision 1.14  2003/03/11 14:33:12  juandon
- added home_etc.patch

Revision 1.13  2003/03/11 13:50:32  juandon
- update to pre9

Revision 1.12  2003/02/26 10:56:31  qboosh
- updated to 2.1pre8, removed obsolete ac patch

Revision 1.11  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.10  2002/12/26 03:02:30  qboosh
- added 2 ugly JavaScript fixes - now it's possible to play NerdQuiz ;)
  (uh, types are too small on 32-bit machines - long is too small for getTime!)
- release 2

Revision 1.9  2002/12/01 20:31:32  juandon
- upgrade to pre7

Revision 1.8  2002/11/05 11:01:30  grzegol
- updated to 2.1pre6

Revision 1.7  2002/10/18 20:51:41  grzegol
- updated to 2.1pre4

Revision 1.6  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/09/19 22:35:10  grzegol
- fixed gzip_fallback patch
- rel. 2

Revision 1.4  2002/09/12 20:19:23  grzegol
- updated to 2.1pre3

Revision 1.3  2002/08/16 16:37:04  qboosh
- disable svgalib for !(x86|alpha)

Revision 1.2  2002/07/07 18:05:08  grzegol
- added dump_codepage and gzip_fallback patches from links.spec
- rel. 1.1

Revision 1.1  2002/07/06 21:46:04  grzegol
- spec for links-2x version; now links-0.9x and links-2x can work together
STBR for test

Revision 1.60.2.21  2002/07/04 20:51:38  gotar
- cosmetics

Revision 1.60.2.20  2002/07/01 19:51:37  grzegol
- updated to 2.1pre2

Revision 1.60.2.19  2002/06/18 21:04:25  grzegol
- updated to 2.1pre1

Revision 1.60.2.18  2002/06/17 10:15:00  grzegol
- added cookies-save and cookie-parsing patches (from MDK)
  (fix cookies support)
- rel. 3

Revision 1.60.2.17  2002/06/08 20:43:17  grzegol
- added convert-old-bookmarks patch (from MDK)
	it creates bookmarks.html based on old bookmarks (from links <= 0.97)
- rel. 2

Revision 1.60.2.16  2002/06/05 21:49:03  grzegol
- updated to 2.0pre6
- fixed links-g_if_glinks patch

Revision 1.60.2.15  2002/06/05 11:16:03  gotar
- switched to ftp source,
- adapterized.

Revision 1.60.2.14  2002/06/03 22:50:34  gotar
- cosmetics,
- typo.

Revision 1.60.2.13  2002/05/28 18:33:01  jojoro
- updated to 2.0pre5

Revision 1.60.2.12  2002/05/28 18:24:37  grzegol
- fixed img patch (now image file name is between brackets)
- rel. 3

Revision 1.60.2.11  2002/05/28 16:50:57  filon
- requires flex,bison for build with js

Revision 1.60.2.10  2002/05/28 15:26:12  grzegol
- added img patch (display image name instead of [IMG] when there is no
  "alt" text)
- rel. 2

Revision 1.60.2.9  2002/05/27 22:09:43  jojoro
- updated to 2.0pre4

Revision 1.60.2.8  2002/05/26 18:59:00  qboosh
- added reallyquit patch (kind of back(?)port from links 0.97)
- removed outdated NEWS from doc
- release .4

Revision 1.60.2.7  2002/05/26 14:57:26  grzegol
- added ac and ac25x patches
- s/configure2_13/configure/
- new %doc
- rel %{_snap}.4

Revision 1.60.2.6  2002/05/19 20:08:48  grzegol
- added some information to descs
- fixed Summary (links isn't only text-based browser)
- fixed URL and Source0

Revision 1.60.2.5  2002/05/19 18:31:52  grzegol
- added links-g_if_glinks patch (start in graphical mode when run as glinks)
- changed glinks script to symbolic link
- rel %{_snap}.3

Revision 1.60.2.4  2002/05/19 15:48:40  grzegol
- added glinks script (it executes links -g)
- added desktop file for glinks
- rel %{_snap}.2

Revision 1.60.2.3  2002/05/18 20:25:34  grzegol
- added some bconds (see spec file for details)
- added TODO
- version is "current", rel %%{_snap}.1

Revision 1.60.2.2  2002/05/16 22:18:41  qboosh
- fixed libpng 1.2.2 support

Revision 1.60.2.1  2002/05/16 13:33:08  jojoro
- initial release links with graphiscs support (X, svgalib and fbdev)

Revision 1.60  2002/05/10 19:31:53  kloczek
- merge translations from KSI and Conectiva.

Revision 1.59  2002/05/10 18:46:12  grzegol
- updated to 0.97
STBR

Revision 1.58  2002/04/05 18:42:00  grzegol
- renemed Patch1

Revision 1.57  2002/04/05 17:43:01  grzegol
- added dump_codepage patch (enable to dump iso8859-2 codepage to stdout)
- cosmetics
- rel 6
STBR

Revision 1.56  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.55  2002/02/25 02:25:57  kloczek
- cleanups in %prep and added "rm -f missing" on top %build.

Revision 1.54  2002/02/24 18:48:59  zytek
- new icon founded by google, release 5, STBR

Revision 1.53  2002/02/23 20:39:45  zytek
- fixes with icon, now ready for STB, but I must create more pretty icon ;)

Revision 1.52  2002/02/23 20:12:26  zytek
- added icon, release 3, STB

Revision 1.51  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2001/11/16 20:30:23  qboosh
- fixed %%files

Revision 1.48  2001/11/15 23:11:33  ankry
- added pl man page
- release 2

Revision 1.47  2001/10/18 16:40:22  gotar
- cosmetics.

Revision 1.46  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.45  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.44  2001/07/16 17:27:12  gotar
- removed redundant rpm macros,
- cosmetics.

Revision 1.43  2001/07/11 13:25:05  kloczek
- make spec ac 2.50 ready (added regenerate ac/am files on top %build).

Revision 1.42  2001/07/10 16:05:18  qboosh
- 0.96

Revision 1.41  2001/06/30 13:02:36  gotar
- added using %{__*} macros.

Revision 1.40  2001/05/16 05:16:33  kloczek
- release 5: fixed %files list.

Revision 1.39  2001/05/16 01:57:34  kloczek
- revert to previouse path but still release must be 4.

Revision 1.38  2001/05/16 01:55:21  kloczek
- release 4: place desktop file in proper directory.

Revision 1.37  2001/05/11 21:30:33  gotar
- typo.

Revision 1.36  2001/05/10 07:37:11  misiek
- BuildRequires:	openssl-devel >= 0.9.6a

Revision 1.35  2001/03/17 18:45:30  yossa
- typo (insall -> install)

Revision 1.34  2001/02/16 04:34:53  kloczek
- typo.

Revision 1.33  2001/02/16 04:27:45  kloczek
- release 2: added desktop file for links.

Revision 1.32  2001/01/02 18:51:05  kloczek
- updated to 0.95,
- added gzipping %doc.

Revision 1.31  2000/12/13 11:21:43  misiek
updated to pre9

Revision 1.30  2000/11/14 22:33:23  misiek
disabled ipv6 due to broken resolving in links
updated to pre4

Revision 1.29  2000/10/24 13:49:28  misiek
updated to 0.94pre1 and added ipv6 support (ftp still ipv4 only)

Revision 1.28  2000/10/16 17:49:58  kloczek
- adapterized and added using new rpm automation.

Revision 1.27  2000/10/16 15:38:22  zagrodzki
- updated to 0.93pre4

Revision 1.26  2000/08/08 16:37:10  kloczek
- s/Serial/Epoch/ by adaprer.awk.

Revision 1.25  2000/08/07 11:53:09  zagrodzki
- added man page
- release 4

Revision 1.24  2000/07/13 23:14:25  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.23  2000/07/13 20:44:34  baggins
- release 2

Revision 1.22  2000/06/30 09:19:18  wiget
0.92

Revision 1.21  2000/06/29 21:27:42  wiget
0.91

Revision 1.20  2000/06/21 20:34:01  kloczek
- added Serial: 1.

Revision 1.19  2000/06/21 18:38:23  kloczek
- adapterized.

Revision 1.18  2000/06/21 09:24:43  zagrodzki
- updated to 0.90pre2

Revision 1.17  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/29 15:22:34  kura
- /Source:/ {sub("current", "%{version}")}  ;-)

Revision 1.14  2000/05/29 14:32:56  kura
/^Source:/ {sub("%{version}", "current")}

Revision 1.13  2000/05/23 17:09:07  zagrodzki
- updated to links-current (23.V.2000)

Revision 1.12  2000/04/14 11:10:04  zagrodzki
- temporarily added -n to use with links source snapshots

Revision 1.11  2000/04/02 20:52:13  zagrodzki
- new snapshot
- lynx-like "Z" key handling (abort current connection)

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  2000/03/14 11:06:34  zagrodzki
- updated to 0.84

Revision 1.7  2000/02/19 23:19:43  zagrodzki

- updated to 0.83

Revision 1.6  2000/01/28 12:44:58  kloczek
- release 2,
- added "Provides: webclient"

Revision 1.5  2000/01/23 22:28:38  wiget
0.82

Revision 1.4  1999/12/03 08:52:58  zagrodzki
- new prerelease

Revision 1.3  1999/12/01 12:38:33  kloczek
- only cosmetics (released).
